
package eu.dnetlib.dhp.schema.oaf;

import java.io.Serializable;
import java.util.List;

/**
 * The type Result.
 */
public class Result extends Entity implements Serializable {

	/**
	 * ( article | book ) processing charges.
 	 */
	private String processingchargeamount;

	/**
	 * currency - alphabetic code describe in ISO-4217.
	 */
	private String processingchargecurrency;

	/**
	 * The Author.
	 */
	private List<Author> author;

	/**
	 * The Resulttype. It allows subclassing results into publications | datasets | software | orp
	 */
	private String resulttype;

	/**
	 * The Language.
	 */
	private Qualifier language;

	/**
	 * The Country.
	 */
	private List<Country> country;

	/**
	 * The Subject.
	 */
	private List<Subject> subject;

	/**
	 * The Title.
	 */
	private List<StructuredProperty> title;

	/**
	 * The Relevantdate.
	 */
	private List<StructuredProperty> relevantdate;

	/**
	 * The Description.
	 */
	private List<String> description;

	/**
	 * The Dateofacceptance.
	 */
	private String dateofacceptance;

	/**
	 * The Publisher.
	 */
	private Publisher publisher;

	/**
	 * The Embargoenddate.
	 */
	private String embargoenddate;

	/**
	 * The Source.
	 */
	private List<String> source;

	/**
	 * The Fulltext.
	 */
	private List<String> fulltext;

	/**
	 * The Format.
	 */
	private List<String> format;

	/**
	 * The Contributor.
	 */
	private List<String> contributor;

	/**
	 * The Resourcetype.
	 */
	private Qualifier resourcetype;

	/**
	 * The Coverage.
	 */
	private List<String> coverage;

	/**
	 * The Bestaccessright.
	 */
	private Qualifier bestaccessright;

	private Journal journal;

	/**
	 * The Context.
	 */
	private List<Context> context;

	/**
	 * The External reference.
	 */
	private List<ExternalReference> externalReference;

	/**
	 * The Instance.
	 */
	private List<Instance> instance;

	/**
	 * EOSC Interoperability Framework Guidelines
	 */
	private List<EoscIfGuidelines> eoscifguidelines;

	private OAIProvenance oaiprovenance;

	public String getProcessingchargeamount() {
		return processingchargeamount;
	}

	public void setProcessingchargeamount(String processingchargeamount) {
		this.processingchargeamount = processingchargeamount;
	}

	public String getProcessingchargecurrency() {
		return processingchargecurrency;
	}

	public void setProcessingchargecurrency(String processingchargecurrency) {
		this.processingchargecurrency = processingchargecurrency;
	}

	/**
	 * Gets author.
	 *
	 * @return the author
	 */
	public List<Author> getAuthor() {
		return author;
	}

	/**
	 * Sets author.
	 *
	 * @param author the author
	 */
	public void setAuthor(List<Author> author) {
		this.author = author;
	}

	/**
	 * Gets resulttype.
	 *
	 * @return the resulttype
	 */
	public String getResulttype() {
		return resulttype;
	}

	/**
	 * Sets resulttype.
	 *
	 * @param resulttype the resulttype
	 */
	public void setResulttype(String resulttype) {
		this.resulttype = resulttype;
	}

	/**
	 * Gets language.
	 *
	 * @return the language
	 */
	public Qualifier getLanguage() {
		return language;
	}

	/**
	 * Sets language.
	 *
	 * @param language the language
	 */
	public void setLanguage(Qualifier language) {
		this.language = language;
	}

	/**
	 * Gets country.
	 *
	 * @return the country
	 */
	public List<Country> getCountry() {
		return country;
	}

	/**
	 * Sets country.
	 *
	 * @param country the country
	 */
	public void setCountry(List<Country> country) {
		this.country = country;
	}

	/**
	 * Gets subject.
	 *
	 * @return the subject
	 */
	public List<Subject> getSubject() {
		return subject;
	}

	/**
	 * Sets subject.
	 *
	 * @param subject the subject
	 */
	public void setSubject(List<Subject> subject) {
		this.subject = subject;
	}

	/**
	 * Gets title.
	 *
	 * @return the title
	 */
	public List<StructuredProperty> getTitle() {
		return title;
	}

	/**
	 * Sets title.
	 *
	 * @param title the title
	 */
	public void setTitle(List<StructuredProperty> title) {
		this.title = title;
	}

	/**
	 * Gets relevantdate.
	 *
	 * @return the relevantdate
	 */
	public List<StructuredProperty> getRelevantdate() {
		return relevantdate;
	}

	/**
	 * Sets relevantdate.
	 *
	 * @param relevantdate the relevantdate
	 */
	public void setRelevantdate(List<StructuredProperty> relevantdate) {
		this.relevantdate = relevantdate;
	}

	/**
	 * Gets description.
	 *
	 * @return the description
	 */
	public List<String> getDescription() {
		return description;
	}

	/**
	 * Sets description.
	 *
	 * @param description the description
	 */
	public void setDescription(List<String> description) {
		this.description = description;
	}

	/**
	 * Gets dateofacceptance.
	 *
	 * @return the dateofacceptance
	 */
	public String getDateofacceptance() {
		return dateofacceptance;
	}

	/**
	 * Sets dateofacceptance.
	 *
	 * @param dateofacceptance the dateofacceptance
	 */
	public void setDateofacceptance(String dateofacceptance) {
		this.dateofacceptance = dateofacceptance;
	}

	/**
	 * Gets publisher.
	 *
	 * @return the publisher
	 */
	public Publisher getPublisher() {
		return publisher;
	}

	/**
	 * Sets publisher.
	 *
	 * @param publisher the publisher
	 */
	public void setPublisher(Publisher publisher) {
		this.publisher = publisher;
	}

	/**
	 * Gets embargoenddate.
	 *
	 * @return the embargoenddate
	 */
	public String getEmbargoenddate() {
		return embargoenddate;
	}

	/**
	 * Sets embargoenddate.
	 *
	 * @param embargoenddate the embargoenddate
	 */
	public void setEmbargoenddate(String embargoenddate) {
		this.embargoenddate = embargoenddate;
	}

	/**
	 * Gets source.
	 *
	 * @return the source
	 */
	public List<String> getSource() {
		return source;
	}

	/**
	 * Sets source.
	 *
	 * @param source the source
	 */
	public void setSource(List<String> source) {
		this.source = source;
	}

	/**
	 * Gets fulltext.
	 *
	 * @return the fulltext
	 */
	public List<String> getFulltext() {
		return fulltext;
	}

	/**
	 * Sets fulltext.
	 *
	 * @param fulltext the fulltext
	 */
	public void setFulltext(List<String> fulltext) {
		this.fulltext = fulltext;
	}

	/**
	 * Gets format.
	 *
	 * @return the format
	 */
	public List<String> getFormat() {
		return format;
	}

	/**
	 * Sets format.
	 *
	 * @param format the format
	 */
	public void setFormat(List<String> format) {
		this.format = format;
	}

	/**
	 * Gets contributor.
	 *
	 * @return the contributor
	 */
	public List<String> getContributor() {
		return contributor;
	}

	/**
	 * Sets contributor.
	 *
	 * @param contributor the contributor
	 */
	public void setContributor(List<String> contributor) {
		this.contributor = contributor;
	}

	/**
	 * Gets resourcetype.
	 *
	 * @return the resourcetype
	 */
	public Qualifier getResourcetype() {
		return resourcetype;
	}

	/**
	 * Sets resourcetype.
	 *
	 * @param resourcetype the resourcetype
	 */
	public void setResourcetype(Qualifier resourcetype) {
		this.resourcetype = resourcetype;
	}

	/**
	 * Gets coverage.
	 *
	 * @return the coverage
	 */
	public List<String> getCoverage() {
		return coverage;
	}

	/**
	 * Sets coverage.
	 *
	 * @param coverage the coverage
	 */
	public void setCoverage(List<String> coverage) {
		this.coverage = coverage;
	}

	/**
	 * Gets bestaccessright.
	 *
	 * @return the bestaccessright
	 */
	public Qualifier getBestaccessright() {
		return bestaccessright;
	}

	/**
	 * Sets bestaccessright.
	 *
	 * @param bestaccessright the bestaccessright
	 */
	public void setBestaccessright(Qualifier bestaccessright) {
		this.bestaccessright = bestaccessright;
	}

	public Journal getJournal() {
		return journal;
	}

	public void setJournal(Journal journal) {
		this.journal = journal;
	}

	/**
	 * Gets context.
	 *
	 * @return the context
	 */
	public List<Context> getContext() {
		return context;
	}

	/**
	 * Sets context.
	 *
	 * @param context the context
	 */
	public void setContext(List<Context> context) {
		this.context = context;
	}

	/**
	 * Gets external reference.
	 *
	 * @return the external reference
	 */
	public List<ExternalReference> getExternalReference() {
		return externalReference;
	}

	/**
	 * Sets external reference.
	 *
	 * @param externalReference the external reference
	 */
	public void setExternalReference(List<ExternalReference> externalReference) {
		this.externalReference = externalReference;
	}

	/**
	 * Gets instance.
	 *
	 * @return the instance
	 */
	public List<Instance> getInstance() {
		return instance;
	}

	/**
	 * Sets instance.
	 *
	 * @param instance the instance
	 */
	public void setInstance(List<Instance> instance) {
		this.instance = instance;
	}

	public List<EoscIfGuidelines> getEoscifguidelines() {
		return eoscifguidelines;
	}

	public void setEoscifguidelines(List<EoscIfGuidelines> eoscifguidelines) {
		this.eoscifguidelines = eoscifguidelines;
	}

	public OAIProvenance getOaiprovenance() {
		return oaiprovenance;
	}

	public void setOaiprovenance(OAIProvenance oaiprovenance) {
		this.oaiprovenance = oaiprovenance;
	}
}
